#ifndef _KGR_PATCH_BSC1012759_H
#define _KGR_PATCH_BSC1012759_H

#include <linux/net.h>
#include <linux/if_packet.h>
int kgr_patch_bsc1012759_init(void);
void kgr_patch_bsc1012759_cleanup(void);

int kgr_packet_setsockopt(struct socket *sock, int level, int optname,
		char __user *optval, unsigned int optlen);
int kgr_packet_set_ring(struct sock *sk, union tpacket_req_u *req_u,
		int closing, int tx_ring);

#define KGR_PATCH_BSC1012759_FUNCS						\
	KGR_PATCH_OBJ(packet_setsockopt, kgr_packet_setsockopt, "af_packet"),	\
	KGR_PATCH_OBJ(packet_set_ring, kgr_packet_set_ring, "af_packet"),

#endif
